Announcement Announcement Module
Collapse
No announcement yet.
Add maven-shade-plugin to pom.xml for Roo 1.2.0 throws error Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Add maven-shade-plugin to pom.xml for Roo 1.2.0 throws error

    I have an interesting case where I migrate a Roo 1.1.5.RELEASE jar project to Roo 1.2.0.RELEASE. I was getting an

    Code:
    InvocationTargetException at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    error when Roo starts.

    I created a new project and gradually migrate all the artifacts over and found that it was only when I add the maven-shade-plugin to the pom.xml file when I get the above error.

    By simply adding the following:

    Code:
    			<plugin>
    				<groupId>org.apache.maven.plugins</groupId>
    				<artifactId>maven-shade-plugin</artifactId>
    			</plugin>
    I will get the above error. Is there any way to turn on debug with Roo such that I can better troubleshoot this error and create a JIRA if necessary?

    Update: 2011/12/27
    It appeared there is a workaround by specifying the version of the maven-shade-plugin. For example, add
    Code:
    <version>1.5</version>
    .
    Not sure whether this is a bug, but this used to work find in ROO 1.1.5.RELEASE
    Last edited by lsiu; Dec 26th, 2011, 02:03 PM.
Working...
X